#ifdef WIN32
#include "details/process_win.hpp"
#else
#include "details/process_unix.hpp"
#endif

#include "process.hpp"

namespace fcf {

  pid_t create_process_cstr(const char* a_name,
                            std::vector<std::string> a_argv,
                            std::vector<std::pair<std::string, std::string> > a_envv,
                            const char* a_user,
                            const char* a_password){
    return details::create_process(a_name, a_argv, a_envv, a_user, a_password);
  }

  void close_process(pid_t a_pid){
    details::close_process(a_pid);
  }

  size_t get_process_memory_size(int a_pid){
    return details::get_process_memory_size(a_pid);
  }

  bool check_pid(pid_t a_pid){
    return details::check_pid(a_pid);
  }


}
